SitemeshLayoutView (Grails 3.1.7)
Date: 2016-05-19

Package: org.grails.web.sitemesh

## [Java] Class SitemeshLayoutView

- org.grails.web.sitemesh.SitemeshLayoutView

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsLayoutView` | `GSP_SITEMESH_PAGE, innerView`
    `class org.springframework.web.servlet.view.AbstractUrlBasedView` | `DEFAULT_CONTENT_TYPE, RESPONSE_STATUS_ATTRIBUTE, PATH_VARIABLES, SELECTED_CONTENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SitemeshLayoutView (GroovyPageLayoutFinder groovyPageLayoutFinder, org.springframework.web.servlet.View innerView, com.opensymphony.sitemesh.ContentProcessor contentProcessor)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected GrailsContentBufferingResponse` | `createContentBufferingResponse(java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsLayoutView` | `applyMetaHttpEquivContentType, beforeDecorating, createContentBufferingResponse, getContentType, getInnerView, getTemplate, obtainContent, renderInnerView, renderTemplate`
    `class AbstractGrailsView` | `createGrailsWebRequest, getTemplate, renderMergedOutputModel, renderTemplate, rethrowRenderException`
    `class org.springframework.web.servlet.view.AbstractUrlBasedView` | `org.springframework.web.servlet.view.AbstractUrlBasedView#toString(), org.springframework.web.servlet.view.AbstractUrlBasedView#checkResource(java.util.Locale), org.springframework.web.servlet.view.AbstractUrlBasedView#getUrl(), org.springframework.web.servlet.view.AbstractUrlBasedView#setUrl(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#afterPropertiesSet(), org.springframework.web.servlet.view.AbstractUrlBasedView#getContentType(), org.springframework.web.servlet.view.AbstractUrlBasedView#setContentType(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#render(java.util.Map, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse), org.springframework.web.servlet.view.AbstractUrlBasedView#setAttributes(java.util.Properties), org.springframework.web.servlet.view.AbstractUrlBasedView#setAttributesCSV(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#setBeanName(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#addStaticAttribute(java.lang.String, java.lang.Object), org.springframework.web.servlet.view.AbstractUrlBasedView#getStaticAttributes(), org.springframework.web.servlet.view.AbstractUrlBasedView#isExposePathVariables(), org.springframework.web.servlet.view.AbstractUrlBasedView#setExposePathVariables(boolean), org.springframework.web.servlet.view.AbstractUrlBasedView#getRequestContextAttribute(), org.springframework.web.servlet.view.AbstractUrlBasedView#setExposeContextBeansAsAttributes(boolean), org.springframework.web.servlet.view.AbstractUrlBasedView#getAttributesMap(), org.springframework.web.servlet.view.AbstractUrlBasedView#setAttributesMap(java.util.Map), org.springframework.web.servlet.view.AbstractUrlBasedView#getBeanName(), org.springframework.web.servlet.view.AbstractUrlBasedView#setRequestContextAttribute(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#setExposedContextBeanNames([Ljava.lang.String;), org.springframework.web.servlet.view.AbstractUrlBasedView#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.view.AbstractUrlBasedView#getApplicationContext(), org.springframework.web.servlet.view.AbstractUrlBasedView#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.view.AbstractUrlBasedView#wait(long, int), org.springframework.web.servlet.view.AbstractUrlBasedView#wait(long), org.springframework.web.servlet.view.AbstractUrlBasedView#wait(), org.springframework.web.servlet.view.AbstractUrlBasedView#equals(java.lang.Object), org.springframework.web.servlet.view.AbstractUrlBasedView#hashCode(), org.springframework.web.servlet.view.AbstractUrlBasedView#getClass(), org.springframework.web.servlet.view.AbstractUrlBasedView#notify(), org.springframework.web.servlet.view.AbstractUrlBasedView#notifyAll()`

- - ### Constructor Detail

    - #### public SitemeshLayoutView(GroovyPageLayoutFinder groovyPageLayoutFinder, org.springframework.web.servlet.View innerView, com.opensymphony.sitemesh.ContentProcessor contentProcessor)

  - ### Method Detail

    - #### @java.lang.Override protected GrailsContentBufferingResponse createContentBufferingResponse(java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)